/2025-10/marketing-solutions/audiences/compute-sizes
curl --request POST \
--url https://api.criteo.com/2025-10/marketing-solutions/audiences/compute-sizes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"attributes": {},
"id": "<string>",
"type": "<string>"
}
]
}
'import requests
url = "https://api.criteo.com/2025-10/marketing-solutions/audiences/compute-sizes"
payload = { "data": [
{
"attributes": {},
"id": "<string>",
"type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: [{attributes: {}, id: '<string>', type: '<string>'}]})
};
fetch('https://api.criteo.com/2025-10/marketing-solutions/audiences/compute-sizes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"size": 123
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-10/marketing-solutions/audiences/compute-sizes
Gets the size of all audiences. An error is returned for those whose size calculation is not supported.
POST
/
2025-10
/
marketing-solutions
/
audiences
/
compute-sizes
/2025-10/marketing-solutions/audiences/compute-sizes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Input to retrieve the size of one or more audiences.
Show child attributes
Show child attributes
Was this page helpful?
⌘I